Description

Currently it is not possible to use the processing module in a standalone QGIS application/script.

This is due in part to a dependence on the iface object, which is only available when running as a plugin within QGIS. In addition to this

there will be issues with calling external programs/scripts using subprocess.Popen related to paths.

I've attached an example script (processing_standalone.py) which uses a mock iface object to allow the plugin to load. This can be used

to run the 'qgis:*' algorithms, as they don't have any external dependencies. More work is needed to get things working with GRASS and

SAGA, etc.

History

#1 - 2013-10-27 11:21 AM - Giovanni Manghi

- Assignee set to Victor Olaya

- Pull Request or Patch supplied changed from No to Yes

#2 - 2014-03-26 07:35 AM - Alexander Bruy

- Category set to 63

#3 - 2014-10-04 12:08 PM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Category deleted (63)

#4 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2019-02-27 12:42 PM - Luigi Pirelli

- Description updated

FYI https://github.com/qgis/QGIS-Enhancement-Proposals/issues/140

Files

processing_standalone.py 2.44 KB 2013-10-27 Joshua Arnott

2024-03-13 1/1

https://github.com/qgis/QGIS-Enhancement-Proposals/issues/140

